View Issue Details

IDProjectCategoryView StatusLast Update
0004409Slicer4Module DICOMpublic2018-03-31 10:19
ReporterlassoanAssigned Topieper 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004409: CT images acquired with gantry tilt are loaded incorrectly
Description

CT images acquired with gantry tilt are loaded incorrectly, probably the gantry tilt information is ignored. The image appears to be warped.

See for example this discussion:
https://discourse.slicer.org/t/how-to-adjust-the-distorted-image/817

Workaround: use a tool that can convert gantry-tilted DICOM to rectified image files. For example: dicomtonifti tool. Download from here: https://github.com/dgobbi/vtk-dicom/releases

Potential implementation: use vtkDICOM classes.
https://github.com/dgobbi/vtk-dicom/blob/master/Source/vtkDICOMCTRectifier.h

TagsNo tags attached.

Relationships

related to 0004459 assignedjcfr help users work with transformed data in CLIs 

Activities

pieper

pieper

2017-10-12 16:04

administrator   ~0015294

Work in progress pull request submitted here:

https://github.com/Slicer/Slicer/pull/812

jcfr

jcfr

2017-10-18 01:21

administrator   ~0015316

Target is 4.9, then if it is stable enough, it could be backported to the 4.8 maintenance branch.

jcfr

jcfr

2018-03-31 03:03

administrator   ~0015639

Closing. Corresponding changes were integrated in r26500 and r26501

ENH: model DICOM acquisition geometry (addresses 0004409)
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26500

ENH: only issue one convergence warning for inverse transform
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26501

lassoan

lassoan

2018-03-31 10:19

developer   ~0015647

I've improved transform hardening on volume nodes recently, so that the output volume is not cropped anymore but extended enough to contain the entire transformed input. Users can use this to apply the acquisition transform. ITK-based resample modules cannot apply the acquisition transform, as it is an inverse transform.

Issue History

Date Modified Username Field Change
2017-08-04 21:59 lassoan New Issue
2017-08-04 21:59 lassoan Status new => assigned
2017-08-04 21:59 lassoan Assigned To => pieper
2017-08-04 22:12 lassoan Description Updated View Revisions
2017-10-12 16:04 pieper Note Added: 0015294
2017-10-16 09:11 pieper Relationship added parent of 0004459
2017-10-18 01:20 jcfr Target Version Slicer 4.7.0 => Slicer 4.9.0
2017-10-18 01:21 jcfr Note Added: 0015316
2018-03-31 03:03 jcfr Relationship replaced related to 0004459
2018-03-31 03:03 jcfr Status assigned => resolved
2018-03-31 03:03 jcfr Resolution open => fixed
2018-03-31 03:03 jcfr Fixed in Version => Slicer 4.9.0
2018-03-31 03:03 jcfr Note Added: 0015639
2018-03-31 10:19 lassoan Note Added: 0015647